package com.arms.api.bbs.service;


import com.arms.api.bbs.model.dto.BbsDTO;
import com.arms.api.bbs.model.entity.BbsEntity;
import com.arms.api.bbs.model.vo.BbsVO;

import java.util.List;

public interface BbsService {


    String postMessage(BbsDTO bbsDTO);

    String replyMessage(BbsDTO bbsDTO);

    String checkPassword(BbsDTO bbsDTO);

    String updateBbsAndNewGroupId(BbsDTO bbsDTO);

    String updateBbsAndGetId(BbsDTO bbsDTO);

    String deleteBbsAndGetId(String deleteId);

    BbsVO bbsList(BbsDTO bbsDTO);

    BbsVO searchBbs(BbsDTO bbsDTO);

    BbsVO sortBbs(BbsDTO bbsDTO, String field, String sortType);

    List<BbsEntity> findPathById(String subjectId);

    void asyncViewCountUp(String id);
}
